{% extends 'site_base.html' %}
{% load static %}

{% block title %} Add CD Type 3 {% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h3 class="box-title"><p>Add Credit Note Type 3</p></h3>
        </div>

        <form method="post" novalidate id="myForm">
            {% csrf_token %}
            <div class="box-body">
                <div class="form-group col-md-12 col-sm-12">
                    <div id="div_id_type" class="form-group">
                        <label class="control-label">Type*</label>
                        <div class="controls ">
                            <select name="discount_type" id="id_type" class="select form-control">
                                <option value="AdditionalDiscount">Additional Discount</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <div id="div_id_amount" class="form-group">
                        <label for="id_amount" class="control-label">Amount*</label>
                        <div class="controls">
                            <input placeholder="Enter Amount" id="id_amount"
                                   type="text" name="amount" class="form-control">
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <div id="div_id_dealer" class="form-group">
                        <label class="control-label">Dealer*</label>
                        <div class="controls ">
                            <select name="dealer" id="id_dealer" class="select form-control">
                                <option value="">---------</option>
                                {% for d in dealers %}
                                    <option value="{{d.dealer.pk}}">
                                        {{ d.company_name }}, {{ d.primary_contact }}
                                    </option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <div id="div_id_remarks" class="form-group">
                        <label for="id_remarks" class="control-label ">
                            Remarks / Narration*
                        </label>
                        <div class="controls ">
                            <input placeholder="Add Narration" type="text" name="remarks"
                                   id="id_remarks" class="form-control">
                        </div>
                    </div>
                </div>


                <div class="form-group col-md-12 col-sm-12 text-right">
                    <input id="submit" type="submit" value="Submit" class="btn btn-primary"/>
                </div>
            </div>
        </form>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        $(document).ready(function() {

            $("#id_amount").keypress(function (e) {
                if (e.which != 8 && e.which != 0 && e.which != 46 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

            $("#myForm").submit(function(event) {
                var button = $('#submit');
                button.prop('disabled',true)

                var flag = false;

                var dealer = $('#id_dealer').val();
                var amount = $("#id_amount").val();
                var reference = $("#id_remarks").val();

                if(dealer != "" && amount != "" && reference != "") {
                    flag = true;
                }
                else {
                    if($('#id_dealer').val() == ""){
                        $('#id_dealer').parent().parent().addClass('has-error')
                        $('#error_1_id_dealer').remove();
                        $('#id_dealer').parent().append('<p id="error_1_id_dealer" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_dealer').parent().parent().removeClass('has-error')
                        $('#error_1_id_dealer').remove();
                    }

                    if($("#id_amount").val() == "") {
                        $('#id_amount').parent().parent().addClass('has-error')
                        $('#error_1_id_amount').remove();
                        $('#id_amount').parent().append('<p id="error_1_id_amount" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_amount').parent().parent().removeClass('has-error')
                        $('#error_1_id_amount').remove();
                    }

                    if($("#id_remarks").val() == "") {
                        $('#id_remarks').parent().parent().addClass('has-error')
                        $('#error_1_id_remarks').remove();
                        $('#id_remarks').parent().append('<p id="error_1_id_remarks" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_remarks').parent().parent().removeClass('has-error')
                        $('#error_1_id_remarks').remove();
                    }
                    flag = false;
                }
                return flag;
            });
        });
    </script>
{% endblock %}
